%define name ghc
%define version 4.08.1
%define release 2mdk

Summary: the Glasgow Haskell Compiler
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://haskell.org/ghc/
Source0: http://haskell.org/ghc/dist/%{version}/%{name}-%{version}-src.tar.bz2
Patch0: ghc-configure.in.patch.bz2
Copyright: BSD style w/o adv. clause
Group: Development/Other
BuildRoot: /tmp/%{name}-buildroot
Prefix: %{_prefix}
Requires: gmp-devel
Provides: haskell
ExcludeArch: alpha ppc
BuildRequires: happy >= 1.6, ghc

%package prof
Summary: Profiling libraries for GHC
Group: Development/Other
Requires: %{name} = %{version}

%description
The Glorious Glasgow Haskell Compilation System (GHC) is a robust,
fully-featured, optimising compiler for the functional programming
language Haskell 98.  GHC compiles Haskell to either native code or
C. It implements numerous experimental language extensions to Haskell,
including concurrency, a foreign language interface, several
type-system extensions, exceptions, and so on. GHC comes with a
generational garbage collector, a space and time profiler, and a
comprehensive set of libraries.

Haskell 98 is "the" standard lazy functional programming language.
More info plus the language definition is at http://www.haskell.org/.

%description prof
Profiling libraries for Glorious Glasgow Haskell Compilation System (GHC).
They should be installed when GHC's profiling subsystem is needed.

%prep
%setup -n fptools -q

## alpha suck ##
%ifarch alpha
%patch0 -p1
%endif

cat >mk/build.mk <<END
GhcLibWays = p
#SRC_HAPPY_OPTS += -agc # useful from Happy 1.7 onwards
SRC_HAPPY_OPTS += -c
END

%build

## alpha suck ##

%ifarch alpha
autoconf
%endif
%{?__libtoolize:[ -f configure.in ] && %{__libtoolize} --copy --force}
CFLAGS="%{optflags}" ./configure --target=%{_target_platform} --host=%{_target_platform} --prefix=%{_prefix} --libdir=%{_libdir}/%{name}-%{version}
make boot
make -C glafp-utils sgmlverb
make all
#make -C docs html
#make -C ghc/docs html

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} libdir=$RPM_BUILD_ROOT%{_libdir}/%{name}-%{version} install

   cat > ghc.list <<EOF
%defattr(-,root,root)
%doc docs
%doc ghc/ANNOUNCE ghc/README ghc/docs/users_guide/users_guide
%{_bindir}/*
EOF

   cat > ghc-prof.list <<EOF
%defattr(-,root,root)
EOF

(cd $RPM_BUILD_ROOT ; find usr/lib -name "*.p_hi" -or -name "libHS*_p.a" -printf "/%%p\n") >> ghc-prof.list

(cd $RPM_BUILD_ROOT ; find usr/lib ! -type d -printf "/%%p\n") >> ghc.list
(cd $RPM_BUILD_ROOT ; find usr/lib   -type d -printf "%%%%dir /%%p\n") >> ghc.list
perl -ni -e 'BEGIN { open F, "ghc-prof.list"; /^%/ or $s{$_} = 1 foreach <F>; } print unless $s{$_}' ghc.list

%clean
rm -rf $RPM_BUILD_ROOT

%files -f ghc.list

%files prof -f ghc-prof.list

%changelog
* Mon Oct  2 2000 Pixel <pixel@mandrakesoft.com> 4.08.1-2mdk
- remove the buildreq stylesheets

* Wed Sep  6 2000 Pixel <pixel@mandrakesoft.com> 4.08.1-1mdk
- new version

* Mon Aug  7 2000 Pixel <pixel@mandrakesoft.com> 4.08-1mdk
- new version

* Fri Jul 07 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.06-5mdk
- ExcludeArch: ppc too.

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.06-4mdk
- ExcludeArch: alpha. (ghc need happy which is not compile on alpha-linux).

* Sun Apr 09 2000 Geoffrey Lee <snailtalk@linux-mandrake.com>
- alpha suck fix

* Fri Mar 31 2000 Pixel <pixel@mandrakesoft.com> 4.06-2mdk
- add doc

* Mon Feb  7 2000 Pixel <pixel@mandrakesoft.com> 4.06-1mdk
- initial spec


# end of file
